<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imroi</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imrects.html">&lt;&lt; imrects</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imselect.html">imselect &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; imroi</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imroi</h1>
    <p class="refpurpose">Select region of interest and create a mask from it</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">imroi</span><span class="default">(</span><span class="default">imin</span><span class="default"> [, </span><span class="default">nr_points</span><span class="default"> ])</span>
<span class="default">imout</span><span class="default"> = </span><span class="functionid">imroi</span><span class="default">(</span><span class="default">imin</span><span class="default"> [, </span><span class="default">points</span><span class="default"> ])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">imin :</span>
      <dd><p class="para">Input Image</p></dd></dt>
   <dt><span class="term">nr_points :</span>
      <dd><p class="para">Maximum number of points to select with mouse - a positive integer (the default value is 10)</p></dd></dt>
   <dt><span class="term">points :</span>
      <dd><p class="para">a 2xN matrix of points; if present the region is defined by points and no interactive mouse selection is used</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">Output mask</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">The first calling sequence is used to provide interactive way to select up to nr_points points (or up to 10 points,
if nr_points is not given) by using right mouse button to select the last point, and points are used
to create the image mask.</p>
   <p class="para">The second calling sequence is used to create a mask from a region defined by a Nx2 matrix points
which has the form [x1,y1;x2,y2;...;xN,yN], where (xi,yi), i=1..N are vertices of the region.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imout</span> <span class="scilaboperator">=</span> <span class="scilabid">imroi</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabcomment">// interactive selection of a region (max 10 vertices)</span>
<span class="scilabid">imout</span> <span class="scilaboperator">=</span> <span class="scilabid">imroi</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabnumber">15</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabcomment">// interactive selection of a region (max 15 vertices)</span>
<span class="scilabid">imout</span> <span class="scilaboperator">=</span> <span class="scilabid">imroi</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">10</span><span class="scilabdefault">,</span><span class="scilabnumber">10</span><span class="scilabdefault">;</span><span class="scilabnumber">20</span> <span class="scilabnumber">20</span><span class="scilabdefault">;</span><span class="scilabnumber">15</span> <span class="scilabnumber">35</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabcomment">// create a mask from a region defined by points</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">imout</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imroifill.html" class="link">imroifill</a></li>
   <li class="member"><a href="imroifilt.html" class="link">imroifilt</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imrects.html">&lt;&lt; imrects</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imselect.html">imselect &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
